package kafkademo.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class KafkaProducerController {
    @Autowired
    private KafkaTemplate<String, String> kafkaTemplate;

    @ResponseBody
    @RequestMapping("/produce")
    public String produce() {
        try {
            kafkaTemplate.send("one-exchange", "Hello");
        } catch (Exception e) {
            return "Produce failed";
        }
        return "Produce succeed";
    }
}
